Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.AnchorAttribute

    java.lang.Object
      java.lang.Enum<Qt.AnchorAttribute>
          com.trolltech.qt.core.Qt.AnchorAttribute

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.AnchorAttribute>

Enclosing interface:
  Qt

    public static enum Qt.AnchorAttribute

extends java.lang.Enum<Qt.AnchorAttribute>
implements QtEnumerator

An anchor has one or more of the following attributes.

Constant | Value | Description
--- | --- | ---
`AnchorName` | `0` | the name attribute of the anchor. This attribute is used when scrolling to an anchor in the document.
`AnchorHref` | `1` | the href attribute of the anchor. This attribute is used when a link is clicked to determine what content to load.

Enum Constant Summary
`AnchorHref` the href attribute of the anchor.
`AnchorName` the name attribute of the anchor.

Method Summary
`static Qt.AnchorAttribute` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.AnchorAttribute` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.AnchorAttribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AnchorName

    public static final Qt.AnchorAttribute AnchorName

  the name attribute of the anchor. This attribute is used when scrolling to an anchor in the document.

### AnchorHref

    public static final Qt.AnchorAttribute AnchorHref

  the href attribute of the anchor. This attribute is used when a link is clicked to determine what content to load.

Method Detail

### values

    public static final Qt.AnchorAttribute[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.AnchorAttribute c : Qt.AnchorAttribute.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.AnchorAttribute valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.AnchorAttribute resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD